## class osg::TessellationHints

## Inheritance:

### Public Methods

TessellationHints()
TessellationHints(const TessellationHints& tess, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Object(osg, TessellationHints)
inline void setTessellationMode(TessellationMode mode)
inline TessellationMode getTessellationMode() const
inline void setDetailRatio(float ratio)
inline float getDetailRatio() const
inline void setTargetNumFaces(unsigned int target)
inline unsigned int getTargetNumFaces() const
inline void setCreateFrontFace(bool on)
inline bool getCreateFrontFace() const
inline void setCreateBackFace(bool on)
inline bool getCreateBackFace() const
inline void setCreateNormals(bool on)
inline bool getCreateNormals() const
inline void setCreateTextureCoords(bool on)
inline bool getCreateTextureCoords() const
inline void setCreateTop(bool on)
inline bool getCreateTop() const
inline void setCreateBody(bool on)
inline bool getCreateBody() const
inline void setCreateBottom(bool on)
inline bool getCreateBottom() const

### Public Members

enum TessellationMode

### Protected Fields

TessellationMode _TessellationMode
float _detailRatio
unsigned int _targetNumFaces
bool _createFrontFace
bool _createBackFace
bool _createNormals
bool _createTextureCoords
bool _createTop
bool _createBody
bool _createBottom

### Protected Methods

~TessellationHints()

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object*) const
virtual const char* libraryName() const
virtual const char* className() const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`TessellationHints()`

`TessellationHints(const TessellationHints& tess, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Object(osg, TessellationHints)`

`enum TessellationMode`

`USE_SHAPE_DEFAULTS`

`USE_TARGET_NUM_FACES`

`inline void setTessellationMode(TessellationMode mode)`

`inline TessellationMode getTessellationMode() const`

`inline void setDetailRatio(float ratio)`

`inline float getDetailRatio() const`

`inline void setTargetNumFaces(unsigned int target)`

`inline unsigned int getTargetNumFaces() const`

`inline void setCreateFrontFace(bool on)`

`inline bool getCreateFrontFace() const`

`inline void setCreateBackFace(bool on)`

`inline bool getCreateBackFace() const`

`inline void setCreateNormals(bool on)`

`inline bool getCreateNormals() const`

`inline void setCreateTextureCoords(bool on)`

`inline bool getCreateTextureCoords() const`

`inline void setCreateTop(bool on)`

`inline bool getCreateTop() const`

`inline void setCreateBody(bool on)`

`inline bool getCreateBody() const`

`inline void setCreateBottom(bool on)`

`inline bool getCreateBottom() const`

`~TessellationHints()`

`TessellationMode _TessellationMode`

`float _detailRatio`

`unsigned int _targetNumFaces`

`bool _createFrontFace`

`bool _createBackFace`

`bool _createNormals`

`bool _createTextureCoords`

`bool _createTop`

`bool _createBody`

`bool _createBottom`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.